%define	major	4
%define minor	2
%define patchlevel	8	
%define gver	%{major}r%{minor}
%define	ver	%{major}.%{minor}.%{patchlevel}
%define rel	0	

Summary: 	GAP (Groups, Algorithms and Programming) 
Name: 		gap 
Prefix:		%{_prefix}
Version: 	%{ver}	
Release: 	%rel
#Source0: 	ftp://ftp-gap.dcs.st-and.ac.uk/pub/gap/gap4/gap%{gver}.zoo
Source0: 	gap%{gver}.tar.gz
#Source1: 	ftp://ftp-gap.dcs.st-and.ac.uk/pub/gap/gap4/bugfixes/fix4r2n1.zoo 
#Source2: 	ftp://ftp-gap.dcs.st-and.ac.uk/pub/gap/gap4/bugfixes/fix4r2n2.zoo
#Source3: 	ftp://ftp-gap.dcs.st-and.ac.uk/pub/gap/gap4/bugfixes/fix4r2n3.zoo
#Source4: 	ftp://ftp-gap.dcs.st-and.ac.uk/pub/gap/gap4/bugfixes/fix4r2n4.zoo
#Source5: 	ftp://ftp-gap.dcs.st-and.ac.uk/pub/gap/gap4/bugfixes/fix4r2n5.zoo
#Source6: 	ftp://ftp-gap.dcs.st-and.ac.uk/pub/gap/gap4/bugfixes/fix4r2n6.zoo
#Source7: 	ftp://ftp-gap.dcs.st-and.ac.uk/pub/gap/gap4/bugfixes/fix4r2n7.zoo 
#Source8: 	ftp://ftp-gap.dcs.st-and.ac.uk/pub/gap/gap4/bugfixes/fix4r2n8.zoo 
Source10: 	fix%{gver}n1-8.tar.gz
Source66: 	unzoo.c
Copyright: 	GPL
Group:   	Applications/Engineering
Packager: 	Rex Dieter <rdieter@unl.edu> 
URL: 		http://www-history.mcs.st-and.ac.uk/~gap/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%(id -u -n)-root	
Icon: 		gap4.gif
# Provides: 
# Requires: 

%description
GAP (Groups, Algorithms and Programming) is a system for computational 
discrete algebra with particular emphasis on, but not restricted to 
computational group theory.

%package doc
Group: Documentation
Requires: %{name} = %{version}-%{release}
# Requires: htmlview
Summary: %{name} documentation
%description doc
%{name} documentation.

%package gac 
Group: Development/Languages
Requires: %{name} = %{version}-%{release}
Summary: %{name} compiler
Requires: gcc
%description gac 
%{name} compiler and friends.

%prep
rm -rf "$RPM_BUILD_ROOT"
# (cd $RPM_SOURCE_DIR; cc -DSYS_IS_UNIX unzoo.c -o unzoo)

## Easy setup with tar files
%setup -q -n %{name}%{gver}
# Apply patches 1-8
gzip -cd %SOURCE10 | tar xf - 

%configure

%build
%{__make} CFLAGS="$RPM_OPT_FLAGS"
# Clean up left-over crud. -- now goes in -gac pkg
# (cd bin; rm -f */*.o)

%install 

install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/%{name}%{ver}}

# Should probably use install here.
mv bin cnf grp lib pkg prim small src tbl tom trans tst \
	$RPM_BUILD_ROOT%{_libdir}/%{name}%{ver}

# Fix location in shell wrapper (%post too?)
perl -pi -e"s,GAP_DIR=.*,GAP_DIR=%{_libdir}/%{name}%{ver}," \
        $RPM_BUILD_ROOT%{_libdir}/%{name}%{ver}/bin/%{name}.sh
ln	$RPM_BUILD_ROOT%{_libdir}/%{name}%{ver}/bin/%{name}.sh \
	$RPM_BUILD_ROOT%{_bindir}/%{name}

%files 
%defattr(-, root, root)
%{_bindir}/gap
%dir %{_libdir}/%{name}%{ver}
%{_libdir}/%{name}%{ver}/[a,c,e-r,t-z]*
%{_libdir}/%{name}%{ver}/bin/gap*
%{_libdir}/%{name}%{ver}/bin/*/gap
%doc INSTALL description*

%files doc
%defattr(-,root,root)
%doc doc/htm

%files gac 
%defattr(-,root,root)
#%{_libdir}/%{name}%{ver}/bin/*/*.o
%{_libdir}/%{name}%{ver}/bin/*/config*
%{_libdir}/%{name}%{ver}/bin/*/gac
%{_libdir}/%{name}%{ver}/bin/*/Makefile
%{_libdir}/%{name}%{ver}/src


%clean
rm -rf "$RPM_BUILD_ROOT" 

%pre

%post 

%preun 
#if [ $1 = 0 ]; then
#  echo  
#fi

%changelog
* Mon Jan 14 2002 Rex Dieter <rdieter@unl.edu> 4.2.8-1
- version: 4r2 -> 4.2
- doc subpkg (only html docs, for now)
- gac subpkg 
- specfile cosmetics
- at least pretend to be relocatable

* Tue Jun 26 2001  Rex Dieter <rdieter@unl.edu>
- First try, gap4r2 (+fixes 1-8)
- convert zoo archives to tar.gz
- bundle fixes 1-8 into one file.
- TODO: Split into multiple smaller rpms.

